{% extends "base.html" %}

{% block app_content %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-6 pr-md-5">
                <h1 class="display-4 pt-5">In the last 100 days<sup>*</sup></h1>
                <ul class="display-5 bg-light p-5">
                    <li>{{ trends.relays_lastxdays }} relays <a href="/plot/networksize" title="Graph"><i class="fa fa-chart-line"></i></a> <a href="/plot/relay_map" title="Map"><i class="fa fa-globe"></i></a> <a href="/rs" title="Relay Search"><i class="fa fa-search"></i></a></li>
                    <li> {{ trends.users_lastxdays }} daily users <a href="/plot/userstat_relay_bridge_country" title="Graph"><i class="fa fa-chart-line"></i></a> <a href="/plot/users_map" title="Map"><i class="fa fa-globe"></i></a></li>
                    <li> {{ trends.advbandwidth_lastxdays }} bandwidth available <a href="/plot/bandwidth" title="Graph"><i class="fa fa-chart-line"></i></a></li>
                    <li>{{ trends.cbandwidth_lastxdays }} data transferred</li>
                    <li style="list-style-type: none; font-size: small;"><sup>*</sup> mean averages</li>
                </ul>

            </div><!-- .col-md-6 -->
            <div class="col-md-6 pl-md-5">
                <h1 class="display-4 pt-5">Recent events</h1>
                {% include 'news_items.html.j2' %}
            </div><!-- .col-md-6 -->
        </div><!-- .row -->
    </div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8">
            <img src="/api/v1/plot/summary?{{ encoded }}" style="max-width: 100%;">
        </div>
        <form class="bg-light p-5 col-md-4">
            <div class="form-group row">
                <label class="col-sm-4 col-form-label" for="inputStart">Start Date: </label>
                <div class="col-sm-8">
                    <input type="date" class="form-control" id="inputStart" name="start" value="{{ filters['start'].isoformat()[:10] }}">
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-4 col-form-label" for="inputEnd">End Date: </label>
                <div class="col-sm-8">
                    <input type="date" class="form-control" id="inputEnd" name="end" value="{{ filters['end'].isoformat()[:10] }}">
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-4 col-form-label" for="inputLeft">Left: </label>
                <div class="col-sm-8">
                    <select name="dataset1" id="inputLeft" class="form-control">
                        {% for p in summary_plotters %}
                        <option value="{{ p }}" {% if filters['dataset1'] == p %}selected="selected"{% endif %}>{{ p | summary_title }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-4 col-form-label" for="inputRight">Right: </label>
                <div class="col-sm-8">
                    <select name="dataset2" id="inputRight" class="form-control">
                        {% for p in summary_plotters %}
                        <option value="{{ p }}" {% if filters['dataset2'] == p %}selected="selected"{% endif %}>{{ p | summary_title }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
            <button type="submit" class="btn btn-primary">Update graph</button>
        </form>
</div>

<div class="dashboard">
    <h2><i class="fa fa-line-chart"></i> Analysis</h2>
    <p class="lead">View visualizations of statistics collected from the public Tor network and from Tor Project infrastructure.</p>
    <div class="row">
      <div class="col-sm-4">
        <a href="/plot/userstat_relay_bridge_country"><i class="fa fa-users fa-fw fa-4x" aria-hidden="true"></i> <h3>Users</h3> <p>Where Tor users are from and how they connect to Tor.</p></a>
      </div>

      <div class="col-sm-4">
        <a href="/plot/networksize"><i class="fa fa-server fa-fw fa-4x" aria-hidden="true"></i> <h3>Servers</h3> <p>How many relays and bridges are online and what we know about them.</p></a>
      </div>

      <div class="col-sm-4">
        <a href="plot/bandwidth"><i class="fa fa-road fa-fw fa-4x" aria-hidden="true"></i> <h3>Traffic</h3> <p>How much traffic the Tor network can handle and how much traffic there is.</p></a>
      </div>

      <div class="col-sm-4">
        <a href="plot/torperf"><i class="fa fa-dashboard fa-fw fa-4x" aria-hidden="true"></i> <h3>Performance</h3> <p>How fast and reliable the Tor network is.</p></a>
      </div>

      <div class="col-sm-4">
        <a href="/plot/hidserv_rend_relayed_cells"><i class="fa fa-map-signs fa-fw fa-4x" aria-hidden="true"></i> <h3>Onion Services</h3> <p>How many onion services there are and how much traffic they pull.</p></a>
      </div>

      <div class="col-sm-4">
        <a href="webstats-tb.html"><i class="fa fa-download fa-fw fa-4x" aria-hidden="true"></i> <h3>Applications</h3> <p>How many Tor applications, like Tor Browser, have been downloaded or updated.</p></a>
      </div>

    </div>
  </div>

  <div class="dashboard">
    <h2><i class="fa fa-cogs"></i> Services</h2>
    <p class="lead">Perform interactive queries for more detailed information relating to relays or bridges in the public Tor network.</p>
    <div class="row">
      <div class="col-sm-4">
        <a href="/rs"><i class="fa fa-search fa-fw fa-4x" aria-hidden="true"></i> <h3>Relay Search</h3> <p>Look up information on a particular Tor relay or bridge.</p></a>
      </div>

      <div class="col-sm-4">
        <a href="/rs"><i class="fa fa-compress fa-fw fa-4x" aria-hidden="true"></i> <h3>Aggregated Relay Search</h3> <p>Look up aggregated statistics on groups of relays.</p></a>
      </div>

      <div class="col-sm-4">
        <a href="/rs"><i class="fa fa-history fa-fw fa-4x" aria-hidden="true"></i> <h3>Network Archive</h3> <p>Look up if a particular IP address was used as a Tor relay on a particular date.</p></a>
      </div>

    </div>
  </div>
  </div>

{% endblock %}